
Figure - Bug #118871
【AF】【EVT3】自动进入屏保5s后息屏，点击唤醒屏幕后右上角菜单不显示
2023-06-21 14:14 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-21

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.C105_20230621_private_user（621DB版本）

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: 在需要熄屏的时候,去掉fullscreen的flag,还有将之前隐藏的systembar显示出来

Description

【测试步骤】

在桌面不操作，进入屏保5s后自动息屏，息屏后点击屏幕

【预期结果】

唤醒屏幕，桌面应用图标菜单栏显示正常

【测试结果】

右上角菜单栏未显示，下拉后显示正常

History

#1 - 2023-06-25 10:31 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2023-06-25 14:23 - CD APP-王营

【状态】

分析中

【分析】

屏保应用为全屏应用，启动屏保后5秒自动息屏，此时根据Log分析已经退出屏保。

06-24 21:17:29.544  6643  6643 V DreamService[CustomDream]: After dream started 5 seconds we close the screen

06-24 21:17:29.554  1062  1663 I DreamManagerService: Gently waking up from dream.

06-24 21:17:29.557  1062  1185 I DreamManagerService: Performing gentle wake from dream.

06-24 21:17:29.689  6643  6643 E DreamActivity:  onDestroy show statusbar

06-24 21:17:29.690  1062  2184 D DreamManagerService: Dream finished: android.os.Binder@1a901cb, immediate=true

06-24 21:17:29.690  1062  2184 I DreamManagerService: Leaving dreamland.

06-24 21:17:29.702  1062  1185 I DreamManagerService: Performing gentle wake from dream.

06-24 21:17:29.702  1062  1185 I DreamController: Stopping dream:

name=ComponentInfo{com.thundercomm.screensaver/com.thundercomm.screensaver.service.CustomDream}, isTest=false, canDoze=false, userId=0, reason='finished

self'(from 'requested stopDream')

06-24 21:17:29.735  1062  2184 W InputManager-JNI: Input channel object 'ead263d com.thundercomm.screensaver/android.service.dreams.DreamActivity (client)' was

disposed without first being removed with the input manager!

尝试在DreamActivity的onDestroy方法中重新显示状态栏，此方案未生效。

【下一步】
尝试在Launcher界面onResume时进行状态栏的显示。

#3 - 2023-06-27 16:54 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

【分析】

1.此问题不仅在Launcher界面会出现状态栏不显示的情况，在其他带有状态栏的应用界面启动屏保，然后息屏，同样会出现状态栏不显示的问题，所以

在Launcher中调出状态栏不可行。

【下一步】

考虑以下几种方案：

1、由于调用息屏方法时，DreamService会先destroy，考虑在DreamService的onDestroy()方法中先显示状态栏，再息屏。

2、参考控制中心的息屏方法，当前使用的是PowerManager.gotoSleep(),控制中心直接息屏不会引起状态栏消失，对比两种方法有何差异。

3、在执行gotoSleep()之前显示状态栏，需调试此方案是否会有状态栏闪烁现象。

结合以上方案尝试是否可以解决此问题

#4 - 2023-07-03 19:10 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

根据现象，

1.进入屏保后，点击退出，现象正常

2.息屏后返回，现象不正常

得出结论，只要在息屏之前退出屏保即可解决

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/211973

#5 - 2023-07-04 17:20 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

因为昨天的提交会有轻微的页面闪动，所以今天还没有入库；

现在排除了设置为全屏的影响；

根据现象应该是在应用息屏后，状态栏的改变没有更新，

但是目前还没有排查到具体的位置

■Next Action

继续排查

#6 - 2023-07-05 16:03 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

CollapsedStatusBarFragment 中加日志，

发现出现异常时mSystemIconArea的透明度，位置，大小，Visibility,TranslationY,TranslationX ，isShown(),getChildCount ==3 ,且内部的View的Visibility,透明
度也是正常的

■Next Action

继续排查

#7 - 2023-07-05 16:10 - CD FW 曹覃刚

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

#8 - 2023-07-05 21:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212537 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF: ScreenSaver: clear fullscreen status when wakeupTC-RID: 1201-0300601IssueID: TS-R-BUG-118871Change-Id:

Icfee987ba927b20cec0209e1f75fb535414dc9c2

#9 - 2023-07-06 19:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212789 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF: ScreenSaver: clear fullscreen status when wakeupTC-RID: 1201-0300601IssueID: TS-R-BUG-118871Change-Id:

Icfee987ba927b20cec0209e1f75fb535414dc9c2(cherry picked from commit 614746bbe28f250c4dd821e60c3c2131e9968402)

#10 - 2023-07-06 20:33 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 在需要熄屏的时候,去掉fullscreen的flag,还有将之前隐藏的systembar显示出来

■ Current conclusion

问题已经解决

■ My analysis

在需要熄屏的时候,去掉fullscreen的flag,还有将之前隐藏的systembar显示出来

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/212537

#11 - 2023-07-07 11:15 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED
验证通过，关闭问题单

验证版本：120release（707）

#12 - 2023-07-07 11:16 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
